### Constructor

# GimpUi StringComboBox new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_string_combo_box_new (
      GtkTreeModel* model,
      gint id_column,
      gint label_column
    )

#### Description

No description available.

Available since: 2.4

#### Parameters

`model`

  Type: `GtkTreeModel`

  A `GtkTreeModel`.

  The data is owned by the caller of the function.

`id_column`

  Type: `gint`

  The model column of the ID.

`label_column`

  Type: `gint`

  The modl column of the label.

#### Return value

Type: `GtkWidget`

A new `GimpStringComboBox`.

The data is owned by the called function.